Name:           cheese-release
Version:        39
Release:        2%{dist}
Summary:        cheese Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.nosuchhost.net/~cheese/fedora/packages
Source1:        cheese.repo
Source2:        cheese.repo.epel

Source8:        RPM-GPG-KEY-cheese-epel-8-primary
Source9:        RPM-GPG-KEY-cheese-epel-9-primary

Source28:       RPM-GPG-KEY-cheese-fedora-28-primary
Source29:       RPM-GPG-KEY-cheese-fedora-29-primary
Source30:       RPM-GPG-KEY-cheese-fedora-30-primary
Source31:       RPM-GPG-KEY-cheese-fedora-31-primary
Source32:       RPM-GPG-KEY-cheese-fedora-32-primary
Source33:       RPM-GPG-KEY-cheese-fedora-33-primary
Source34:       RPM-GPG-KEY-cheese-fedora-34-primary
Source35:       RPM-GPG-KEY-cheese-fedora-35-primary
Source36:       RPM-GPG-KEY-cheese-fedora-36-primary
Source37:       RPM-GPG-KEY-cheese-fedora-37-primary
Source38:       RPM-GPG-KEY-cheese-fedora-38-primary
Source39:       RPM-GPG-KEY-cheese-fedora-39-primary
Source40:       RPM-GPG-KEY-cheese-fedora-40-primary

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       system-release >= %{version}

%description
%if (0%{?rhel} > 5)
cheese repository contains open source and other distributable software for
el/centos %{?rhel}.
%else
cheese repository contains open source and other distributable software for
Fedora.
%endif

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key

%if (0%{?rhel} > 5)
%{__install} -Dp -m644 %{SOURCE8}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE9}  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%else
%{__install} -Dp -m644 %{SOURCE28} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE29} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE30} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE31} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE32} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE33} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE34} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE35} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE36} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE37} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE38} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE39} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %{SOURCE40} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%endif

%if (0%{?rhel} > 5)
ln -s $(basename %{SOURCE8}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-8
ln -s $(basename %{SOURCE9}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-9
%else
# Avoid using basearch in name for the key. Introduced in F18
ln -s $(basename %{SOURCE28}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-28
ln -s $(basename %{SOURCE29}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-29
ln -s $(basename %{SOURCE30}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-30
ln -s $(basename %{SOURCE31}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-31
ln -s $(basename %{SOURCE32}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32
ln -s $(basename %{SOURCE33}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33
ln -s $(basename %{SOURCE34}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-34
ln -s $(basename %{SOURCE35}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-35
ln -s $(basename %{SOURCE36}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-36
ln -s $(basename %{SOURCE37}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-37
ln -s $(basename %{SOURCE38}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-38
ln -s $(basename %{SOURCE39}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-39
ln -s $(basename %{SOURCE40}) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-40
%endif

%if (0%{?rhel} > 5)
for arch in i386 x86_64; do
    ln -s RPM-GPG-KEY-cheese-epel-8-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-8-$arch
    ln -s RPM-GPG-KEY-cheese-epel-9-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-epel-9-$arch
done
%else
for arch in i386 x86_64; do
    ln -s RPM-GPG-KEY-cheese-fedora-28-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-28-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-29-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-29-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-30-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-30-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-31-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-31-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-32-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-33-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-34-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-34-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-35-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-35-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-36-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-36-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-37-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-37-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-38-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-38-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-39-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-39-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-40-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-40-$arch
done
%endif

%if (0%{?fedora} > 31)
for arch in aarch64; do
    ln -s RPM-GPG-KEY-cheese-fedora-32-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-32-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-33-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-33-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-34-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-34-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-35-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-35-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-36-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-36-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-37-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-37-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-38-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-38-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-39-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-39-$arch
    ln -s RPM-GPG-KEY-cheese-fedora-40-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-cheese-fedora-40-$arch
done
%endif


# Yum .repo files
%if (0%{?rhel} > 5)
%{__install} -T -p -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cheese.repo
%else
%{__install} -T -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cheese.repo
%endif

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Mar 31 2024 josef radinger <cheese@nosuchhost.net> - 39-2
- add key for fedora 40

* Wed Nov 08 2023 josef radinger <cheese@nosuchhost.net> - 39-1
- bump version

* Tue Apr 18 2023 josef radinger <cheese@nosuchhost.net> - 38-1
- bump version

* Wed Apr 12 2023 josef radinger <cheese@nosuchhost.net> - 9-1
- bump version

* Tue Nov 01 2022 josef radinger <cheese@nosuchhost.net> - 37-1
- bump version

* Sun Mar 20 2022 josef radinger <cheese@nosuchhost.net> - 36-1
- bump version

* Fri Aug 27 2021 josef radinger <cheese@nosuchhost.net> - 35-1
- bump version

* Sat Apr 10 2021 josef radinger <cheese@nosuchhost.net> - 34-1
- bump version

* Sun Oct 18 2020 josef radinger <cheese@nosuchhost.net> - 33-1
- add fedora 34

* Sat May 09 2020 josef radinger <cheese@nosuchhost.net> - 32-3
- add aarch64

* Wed Apr 08 2020 josef radinger <cheese@nosuchhost.net> - 32-2
- add key for fedora 33

* Wed Apr 08 2020 josef radinger <cheese@nosuchhost.net> - 32-1
- bump version

* Wed Oct 30 2019 josef radinger <cheese@nosuchhost.net> - 31-1
- fedora 31

* Thu Oct 24 2019 josef radinger <cheese@nosuchhost.net> - 8-1
- bump version for rhel8

* Mon Apr 22 2019 josef radinger <cheese@nosuchhost.net> - 30-1
- bump version

* Tue Nov 13 2018 josef radinger <cheese@nosuchhost.net> - 29-3
- add key for fedora 30
- fix order

* Thu Nov 01 2018 josef radinger <cheese@nosuchhost.net> - 29-2
- add old keys

* Sat Oct 06 2018 josef radinger <cheese@nosuchhost.net> - 29-1
- bump version
- create new keys for f29

* Tue May 01 2018 josef radinger <cheese@nosuchhost.net> - 28-1
- bump version

* Sun Oct 08 2017 josef radinger <cheese@nosuchhost.net> - 27-1
- bump version

* Wed May 03 2017 josef radinger <cheese@nosuchhost.net> - 26-1
- bump version

* Tue Nov 22 2016 josef radinger <cheese@nosuchhost.net> - 25-1
- bump version

* Sun Apr 17 2016 josef radinger <cheese@nosuchhost.net> - 24-1
- bump version
- fix Source3

* Mon Oct 26 2015 josef radinger <cheese@nosuchhost.net> - 23-1
- fedora 23
- simplify spec-file

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 21-1
- fedora 21

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 7-1
- epel version 7

* Mon Jul 07 2014 josef radinger <cheese@nosuchhost.net> - 6-1
- epel version

* Thu Feb 20 2014 josef radinger <cheese@nosuchhost.net> - 20-1
- bump version

* Sat Nov 30 2013 josef radinger <cheese@nosuchhost.net> - 19-2
- fix link

* Fri Jul 05 2013 josef radinger <cheese@nosuchhost.net> - 19-1
- version 19

* Sun Apr 07 2013 josef radinger <cheese@nosuchhost.net> - 17-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-2
- fix

* Thu Mar 28 2013 josef radinger <cheese@nosuchhost.net> - 16-1
- initial version
